com.ihr.xbrl.dts.history

## Class StoreHistoryImpl

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<HistoricalEventInterface>
      - - com.ihr.xbrl.dts.history.StoreHistoryImpl

- All Implemented Interfaces:
    ObtainHistoryInterface, StoreHistoryInterface, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<HistoricalEventInterface>, java.util.Collection<HistoricalEventInterface>, java.util.List<HistoricalEventInterface>, java.util.RandomAccess

      public class StoreHistoryImpl
      extends java.util.Vector<HistoricalEventInterface>
      implements StoreHistoryInterface

  The Class StoreHistoryImpl.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreHistoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(java.util.Date date, java.lang.String message)` Adds a new event at the indicated date with the specificed message.
    `void` | `addEvent(HistoricalEventInterface event)` Adds a new event as an instance of an HistoricalEventInterface.
    `void` | `addEvent(java.lang.String message)` Adds a new event at the time this method is called with the specified message.
    `java.util.Collection<HistoricalEventInterface>` | `getHistory()` Obtains a collection of all HistoricalEvent(s) produced .
    `java.lang.String` | `getHistoryAsString()` returns a text string with the fact history.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreHistoryImpl

          public StoreHistoryImpl()

  - ### Method Detail

    - #### getHistory

          public java.util.Collection<HistoricalEventInterface> getHistory()

      Description copied from interface: `ObtainHistoryInterface`
      Obtains a collection of all HistoricalEvent(s) produced .
      Specified by:
        `getHistory` in interface `ObtainHistoryInterface`
      Returns:
        collection of historical events

    - #### getHistoryAsString

          public java.lang.String getHistoryAsString()

      Description copied from interface: `ObtainHistoryInterface`
      returns a text string with the fact history.
      Specified by:
        `getHistoryAsString` in interface `ObtainHistoryInterface`
      Returns:
        history as string

    - #### addEvent

          public void addEvent(java.lang.String message)

      Description copied from interface: `StoreHistoryInterface`
      Adds a new event at the time this method is called with the specified message.
      Specified by:
        `addEvent` in interface `StoreHistoryInterface`
      Parameters:
        `message` - the message

    - #### addEvent

          public void addEvent(java.util.Date date,
                      java.lang.String message)

      Description copied from interface: `StoreHistoryInterface`
      Adds a new event at the indicated date with the specificed message.
      Specified by:
        `addEvent` in interface `StoreHistoryInterface`
      Parameters:
        `date` - the date
        `message` - the message

    - #### addEvent

          public void addEvent(HistoricalEventInterface event)

      Description copied from interface: `StoreHistoryInterface`
      Adds a new event as an instance of an HistoricalEventInterface.
      Specified by:
        `addEvent` in interface `StoreHistoryInterface`
      Parameters:
        `event` - the event